#include<stdio.h>
int nadovezivanje(int x,int y,int z)
{
	int pow=10,temp;
	while(z>=pow)
	{
		pow*=10;
	}
	int pow1=10;
	while(y>=pow1)
	{
		pow1*=10;
	}
	return x*pow*pow1+y*pow+z;
}
int maksimalni(int a,int b,int c,int d,int e,int f)
{
	int max=a;
	if(b>max) max=b;
	if(c>max) max=c;
	if(d>max) max=d;
	if(e>max) max=e;
	if(f>max) max=f;
	return max;
}
main()
{
	long long int a,b,c;
	scanf("%lld%lld%lld",&a,&b,&c);
	long long int t,y,u,i,o,p;
	t=nadovezivanje(a,b,c);
	y=nadovezivanje(a,c,b);
	u=nadovezivanje(b,a,c);
	i=nadovezivanje(b,c,a);
	o=nadovezivanje(c,a,b);
	p=nadovezivanje(c,b,a);
	printf("%lld",maksimalni(t,y,u,i,o,p));
}